package org.apache.bcel.classfile;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.io.DataInput;
import java.io.DataOutputStream;
import java.io.IOException;
import org.apache.bcel.classfile.Constant;
import org.apache.bcel.classfile.ConstantObject;
import org.apache.bcel.classfile.ConstantPool;
import org.apache.bcel.classfile.Visitor;

public final class ConstantModule extends Constant implements ConstantObject {
  private int nameIndex;
  
  public ConstantModule(org.apache.bcel.classfile.ConstantModule c) {
    this(c.getNameIndex());
  }
  
  ConstantModule(DataInput file) throws IOException {
    this(file.readUnsignedShort());
  }
  
  public ConstantModule(int nameIndex) {
    super((byte)19);
    this.nameIndex = nameIndex;
  }
  
  public void accept(Visitor v) {
    v.visitConstantModule(this);
  }
  
  public void dump(DataOutputStream file) throws IOException {
    file.writeByte(getTag());
    file.writeShort(this.nameIndex);
  }
  
  public String getBytes(ConstantPool cp) {
    return (String)getConstantValue(cp);
  }
  
  public Object getConstantValue(ConstantPool cp) {
    return cp.getConstantUtf8(this.nameIndex).getBytes();
  }
  
  public int getNameIndex() {
    return this.nameIndex;
  }
  
  public void setNameIndex(int nameIndex) {
    this.nameIndex = nameIndex;
  }
  
  public String toString() {
    return super.toString() + "(nameIndex = " + this.nameIndex + ")";
  }
}
